### Class

# Gio DBusObjectSkeleton

since: 2.30

#### Description

    class Gio.DBusObjectSkeleton : GObject.Object
      implements Gio.DBusObject {
      /* No available fields */
    }

A `GDBusObjectSkeleton` instance is essentially a group of D-Bus interfaces. The set of exported interfaces on the object may be dynamic and change at runtime.

This type is intended to be used with `GDBusObjectManager`.

Available since: 2.30

#### Ancestors

- GObject

#### Implements

- GDBusObject

#### Constructors

###### g_dbus_object_skeleton_new

Creates a new `GDBusObjectSkeleton`.

since: 2.30

#### Instance methods

###### g_dbus_object_skeleton_add_interface

Adds `interface_` to `object`.

since: 2.30

###### g_dbus_object_skeleton_flush

This method simply calls `g_dbus_interface_skeleton_flush()` on all interfaces belonging to `object`. See that method for when flushing is useful.

since: 2.30

###### g_dbus_object_skeleton_remove_interface

Removes `interface_` from `object`.

since: 2.30

###### g_dbus_object_skeleton_remove_interface_by_name

Removes the `GDBusInterface` with `interface_name` from `object`.

since: 2.30

###### g_dbus_object_skeleton_set_object_path

Sets the object path for `object`.

since: 2.30

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GDBusObject (3)

###### g_dbus_object_get_interface

Gets the D-Bus interface with name `interface_name` associated with `object`, if any.

since: 2.30

###### g_dbus_object_get_interfaces

Gets the D-Bus interfaces associated with `object`.

since: 2.30

###### g_dbus_object_get_object_path

Gets the object path for `object`.

since: 2.30

#### Properties

###### Gio.DBusObjectSkeleton:g-object-path

The object path where the object is exported.

since: 2.30

#### Signals

###### Gio.DBusObjectSkeleton::authorize-method

Emitted when a method is invoked by a remote caller and used to determine if the method call is authorized.

since: 2.30

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

##### Signals inherited from GDBusObject (2)

###### GDBusObject::interface-added

Emitted when `interface` is added to `object`.

since: 2.30

###### GDBusObject::interface-removed

Emitted when `interface` is removed from `object`.

since: 2.30

#### Class structure

    struct GioDBusObjectSkeletonClass {
      GObjectClass parent_class;
      gboolean (* authorize_method) (
        GDBusObjectSkeleton* object,
        GDBusInterfaceSkeleton* interface_,
        GDBusMethodInvocation* invocation
      );

    }

Class structure for `GDBusObjectSkeleton`.

###### Class members

`parent_class: GObjectClass`

  The parent class.

`authorize_method: gboolean (* authorize_method) ( GDBusObjectSkeleton* object, GDBusInterfaceSkeleton* interface_, GDBusMethodInvocation* invocation )`

  Signal class handler for the `GDBusObjectSkeleton::authorize-method` signal.

#### Virtual methods

###### Gio.DBusObjectSkeletonClass.authorize_method

Signal class handler for the `GDBusObjectSkeleton::authorize-method` signal.